Bug 140060 - the encoding of holiday_ja (a part of libkholidays) is wrong(?)
Summary: the encoding of holiday_ja (a part of libkholidays) is wrong(?)
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-14 13:46 UTC by back_slash
Modified: 2007-01-18 10:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
holiday_ja (encoded to UTF-8) (3.69 KB, text/plain)
2007-01-18 00:37 UTC, back_slash
Details

Note You need to log in before you can comment on or make changes to this bug.
Description back_slash 2007-01-14 13:46:03 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Gentoo Packages
OS:                Linux

The received file (holiday_ja) encoding is EUC-JP.
The characters of holiday names on Korganizer became garbled.
When trying to change the file encoding type to UTF-8, this problem was solved.

Please check encoding type of holiday_ja.
Comment 1 Reinhold Kainhofer 2007-01-15 01:13:26 UTC
Am Son J
Comment 2 back_slash 2007-01-18 00:37:19 UTC
Created attachment 19318 [details]
holiday_ja (encoded to UTF-8)
Comment 3 Bram Schoenmakers 2007-01-18 10:53:52 UTC
SVN commit 624876 by bram:

Fix encoding for Japanese holidays, thanks to reporter of bug 140060.

BUG:140060

 M  +28 -28    holiday_ja  


--- branches/KDE/3.5/kdepim/libkholidays/holidays/holiday_ja #624875:624876
@@ -26,26 +26,26 @@
 :small "The Emperor's Birthday" weekend on 12/23
 
 : National Holidays. (Japanese and English messages)
-small "